#
#   Python GUI - Alerts - Gtk
#

#import gtk
from GAlerts import Alert as GAlert, \
    Alert2 as GAlert2, Alert3 as GAlert3


class Alert(GAlert):

    def layout_buttons(self):
        self.place(self.yes_button,
            right = self.label.right,
            top = self.label + self._label_button_spacing)


class Alert2(GAlert2):

    def layout_buttons(self):
        self.place_row([self.no_button, self.yes_button],
            right = self.label.right,
            top = self.label + self._label_button_spacing)


class Alert3(GAlert3):

    _minimum_width = 300

    def layout_buttons(self):
        self.place_row([self.other_button, self.yes_button],
            right = self.label.right,
            top = self.label + self._label_button_spacing)
        self.place(self.no_button,
            left = self._left_margin, top = self.label + self._label_button_spacing)

